%define upstream_name    Test-TrailingSpace
%define upstream_version 0.0601

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Test for trailing space in source files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Object::Rule) >= 0.30.100
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::TreeCreate)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is used to test for lack of trailing space. See the synopsis
for more details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.60.100-3.mga10
+ Revision: 2207278
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.60.100-2.mga9
+ Revision: 1814947
- Mageia 9 Mass Rebuild

* Tue Aug 31 2021 tv <tv> 0.60.100-1.mga9
+ Revision: 1743728
- update to 0.0601

* Tue Jun 09 2020 tv <tv> 0.60.0-1.mga8
+ Revision: 1591339
- update to 0.0600

* Thu May 21 2020 shlomif <shlomif> 0.40.0-1.mga8
+ Revision: 1586627
- update to 0.0400

* Sat Feb 15 2020 umeabot <umeabot> 0.30.200-2.mga8
+ Revision: 1528656
- Mageia 8 Mass Rebuild

* Sun Aug 25 2019 tv <tv> 0.30.200-1.mga8
+ Revision: 1432107
- update to 0.0302

* Thu Sep 20 2018 umeabot <umeabot> 0.30.100-2.mga7
+ Revision: 1286823
- Mageia 7 Mass Rebuild

* Sun Jul 23 2017 shlomif <shlomif> 0.30.100-1.mga7
+ Revision: 1128973
- update to 0.0301

* Tue May 17 2016 shlomif <shlomif> 0.30.0-1.mga6
+ Revision: 1016534
- New version 0.0300

* Thu Feb 18 2016 umeabot <umeabot> 0.20.500-2.mga6
+ Revision: 966580
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 shlomif <shlomif> 0.20.500-1.mga6
+ Revision: 846047
- update to 0.0205

* Sun Oct 19 2014 umeabot <umeabot> 0.20.400-4.mga5
+ Revision: 789201
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.20.400-3.mga5
+ Revision: 744710
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.20.400-1.mga5
+ Revision: 581350
- update to 0.0204

* Sat Oct 19 2013 umeabot <umeabot> 0.20.300-2.mga4
+ Revision: 526519
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 shlomif <shlomif> 0.20.300-1.mga4
+ Revision: 437206
- update to 0.0203

* Wed May 29 2013 shlomif <shlomif> 0.20.200-1.mga4
+ Revision: 432582
- New version

* Sun Jan 13 2013 umeabot <umeabot> 0.10.300-2.mga3
+ Revision: 373853
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 0.10.300-1.mga3
+ Revision: 330176
- update to 0.0103

* Thu Aug 09 2012 shlomif <shlomif> 0.10.200-1.mga3
+ Revision: 280114
- imported package perl-Test-TrailingSpace


* Thu Aug 09 2012 cpan2dist 0.0102-1mga
- initial mageia release, generated with cpan2dist
